Skip to main content
GET
/
api
/
v1
/
learn
/
admin
/
analytics
/
stats
Get Admin Analytics Stats
curl --request GET \
  --url https://api.example.com/api/v1/learn/admin/analytics/stats \
  --header 'Authorization: Bearer <token>'
{
  "fleet": {
    "overallCompliance": 123,
    "totalRegistrations": 123,
    "completedRegistrations": 123,
    "overdueTrainings": 123,
    "avgDaysToComplete": 123,
    "activeEnrollments": 123
  },
  "courses": {
    "avgScore": 123,
    "hardestCourse": "<string>",
    "hardestCourseScore": 123,
    "highestPassRateCourse": "<string>",
    "highestPassRate": 123
  },
  "crew": {
    "crewTrained": 123,
    "totalCrew": 123,
    "avgCompletionDays": 123,
    "atRiskCrew": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

fleet
FleetComplianceStatsDTO · object
required
courses
CoursePerformanceStatsDTO · object
required
crew
CrewAnalyticsStatsDTO · object
required